This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 490190 - bochs-bios >= 2.3.8-0.5 is needed by qemu-system-x86-2:0.10-0.9.kvm20090310git.fc11.x86_64
bochs-bios >= 2.3.8-0.5 is needed by qemu-system-x86-2:0.10-0.9.kvm20090310gi...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-13 14:23 EDT by Dominick Grift
Modified: 2009-03-16 09:01 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-16 09:01:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominick Grift 2009-03-13 14:23:30 EDT
Description of problem:

When i try to install latest qemu:

bochs-bios >= 2.3.8-0.5 is needed by qemu-system-x86-2:0.10-0.9.kvm20090310git.fc11.x86_64

But theres only available:

bochs-bios-data.noarch 0:2.3.8-0.6.git36989b0d2.fc11

(name changed from bochs-bios to bochs-bios-date)
Comment 1 Glauber Costa 2009-03-13 14:45:43 EDT
There is a bochs bios package.

You can grab it here:
http://koji.fedoraproject.org/koji/buildinfo?buildID=93823

Not sure why you're having problems reaching it, though?
Comment 2 Dominick Grift 2009-03-13 14:55:52 EDT
I got mine from here:

http://koji.fedoraproject.org/koji/packageinfo?packageID=7856
Comment 3 Dominick Grift 2009-03-13 14:59:24 EDT
sh-4.0# rpm -Uvh http://kojipkgs.fedoraproject.org/packages/bochs/2.3.8/0.6.git04387139e3b.fc11/x86_64/bochs-2.3.8-0.6.git04387139e3b.fc11.x86_64.rpm
Retrieving http://kojipkgs.fedoraproject.org/packages/bochs/2.3.8/0.6.git04387139e3b.fc11/x86_64/bochs-2.3.8-0.6.git04387139e3b.fc11.x86_64.rpm
error: Failed dependencies:
	bochs-bios = 2.3.8-0.6.git04387139e3b.fc11 is needed by bochs-2.3.8-0.6.git04387139e3b.fc11.x86_64
	libvga.so.1()(64bit) is needed by bochs-2.3.8-0.6.git04387139e3b.fc11.x86_64
	libvgagl.so.1()(64bit) is needed by bochs-2.3.8-0.6.git04387139e3b.fc11.x86_64

still asks for bochs-bios (which is bochs-bios-data)
see my url in previous post
Comment 4 Daniel Berrange 2009-03-16 08:44:29 EDT
All seems to work fine for fresh install of bochs/qemu in current rawhide 

# yum install libvirt qemu bochs
Loaded plugins: dellsysidplugin2, refresh-packagekit
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package bochs.x86_64 0:2.3.8-0.6.git04387139e3b.fc11 set to be updated
--> Processing Dependency: bochs-bios = 2.3.8-0.6.git04387139e3b.fc11 for package: bochs
--> Processing Dependency: libvgagl.so.1()(64bit) for package: bochs
--> Processing Dependency: libvga.so.1()(64bit) for package: bochs
---> Package libvirt.x86_64 0:0.6.1-3.fc11 set to be updated
--> Processing Dependency: /usr/bin/qemu-img for package: libvirt
---> Package qemu.x86_64 2:0.10-0.9.kvm20090310git.fc11 set to be updated
--> Processing Dependency: qemu-system-cris = 2:0.10-0.9.kvm20090310git.fc11 for package: qemu
--> Processing Dependency: qemu-system-x86 = 2:0.10-0.9.kvm20090310git.fc11 for package: qemu
--> Processing Dependency: qemu-system-m68k = 2:0.10-0.9.kvm20090310git.fc11 for package: qemu
--> Processing Dependency: qemu-system-arm = 2:0.10-0.9.kvm20090310git.fc11 for package: qemu
--> Processing Dependency: qemu-system-sparc = 2:0.10-0.9.kvm20090310git.fc11 for package: qemu
--> Processing Dependency: qemu-system-mips = 2:0.10-0.9.kvm20090310git.fc11 for package: qemu
--> Processing Dependency: qemu-system-ppc = 2:0.10-0.9.kvm20090310git.fc11 for package: qemu
--> Processing Dependency: qemu-system-sh4 = 2:0.10-0.9.kvm20090310git.fc11 for package: qemu
--> Processing Dependency: qemu-user = 2:0.10-0.9.kvm20090310git.fc11 for package: qemu
--> Running transaction check
---> Package bochs-bios.noarch 0:2.3.8-0.6.git04387139e3b.fc11 set to be updated
---> Package qemu-img.x86_64 2:0.10-0.9.kvm20090310git.fc11 set to be updated
--> Processing Dependency: qemu-common = 2:0.10-0.9.kvm20090310git.fc11 for package: qemu-img
---> Package qemu-system-arm.x86_64 2:0.10-0.9.kvm20090310git.fc11 set to be updated
---> Package qemu-system-cris.x86_64 2:0.10-0.9.kvm20090310git.fc11 set to be updated
---> Package qemu-system-m68k.x86_64 2:0.10-0.9.kvm20090310git.fc11 set to be updated
---> Package qemu-system-mips.x86_64 2:0.10-0.9.kvm20090310git.fc11 set to be updated
---> Package qemu-system-ppc.x86_64 2:0.10-0.9.kvm20090310git.fc11 set to be updated
---> Package qemu-system-sh4.x86_64 2:0.10-0.9.kvm20090310git.fc11 set to be updated
---> Package qemu-system-sparc.x86_64 2:0.10-0.9.kvm20090310git.fc11 set to be updated
---> Package qemu-system-x86.x86_64 2:0.10-0.9.kvm20090310git.fc11 set to be updated
---> Package qemu-user.x86_64 2:0.10-0.9.kvm20090310git.fc11 set to be updated
---> Package svgalib.x86_64 0:1.9.25-6.fc11 set to be updated
--> Running transaction check
---> Package qemu-common.x86_64 2:0.10-0.9.kvm20090310git.fc11 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

===============================================================================================================================================
 Package                             Arch                     Version                                          Repository                 Size
===============================================================================================================================================
Installing:
 bochs                               x86_64                   2.3.8-0.6.git04387139e3b.fc11                    rawhide                   1.1 M
 libvirt                             x86_64                   0.6.1-3.fc11                                     rawhide                   1.7 M
 qemu                                x86_64                   2:0.10-0.9.kvm20090310git.fc11                   rawhide                    11 k
Installing for dependencies:
 bochs-bios                          noarch                   2.3.8-0.6.git04387139e3b.fc11                    rawhide                    99 k
 qemu-common                         x86_64                   2:0.10-0.9.kvm20090310git.fc11                   rawhide                   588 k
 qemu-img                            x86_64                   2:0.10-0.9.kvm20090310git.fc11                   rawhide                    96 k
 qemu-system-arm                     x86_64                   2:0.10-0.9.kvm20090310git.fc11                   rawhide                   853 k
 qemu-system-cris                    x86_64                   2:0.10-0.9.kvm20090310git.fc11                   rawhide                   469 k
 qemu-system-m68k                    x86_64                   2:0.10-0.9.kvm20090310git.fc11                   rawhide                   513 k
 qemu-system-mips                    x86_64                   2:0.10-0.9.kvm20090310git.fc11                   rawhide                   2.8 M
 qemu-system-ppc                     x86_64                   2:0.10-0.9.kvm20090310git.fc11                   rawhide                   2.6 M
 qemu-system-sh4                     x86_64                   2:0.10-0.9.kvm20090310git.fc11                   rawhide                   987 k
 qemu-system-sparc                   x86_64                   2:0.10-0.9.kvm20090310git.fc11                   rawhide                   768 k
 qemu-system-x86                     x86_64                   2:0.10-0.9.kvm20090310git.fc11                   rawhide                   2.1 M
 qemu-user                           x86_64                   2:0.10-0.9.kvm20090310git.fc11                   rawhide                   4.6 M
 svgalib                             x86_64                   1.9.25-6.fc11                                    rawhide                   453 k

Transaction Summary
===============================================================================================================================================
Install     16 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 20 M
Is this ok [y/N]: y

[snip]

Installed:
  bochs.x86_64 0:2.3.8-0.6.git04387139e3b.fc11         libvirt.x86_64 0:0.6.1-3.fc11         qemu.x86_64 2:0.10-0.9.kvm20090310git.fc11        

Dependency Installed:
  bochs-bios.noarch 0:2.3.8-0.6.git04387139e3b.fc11                     qemu-common.x86_64 2:0.10-0.9.kvm20090310git.fc11                     
  qemu-img.x86_64 2:0.10-0.9.kvm20090310git.fc11                        qemu-system-arm.x86_64 2:0.10-0.9.kvm20090310git.fc11                 
  qemu-system-cris.x86_64 2:0.10-0.9.kvm20090310git.fc11                qemu-system-m68k.x86_64 2:0.10-0.9.kvm20090310git.fc11                
  qemu-system-mips.x86_64 2:0.10-0.9.kvm20090310git.fc11                qemu-system-ppc.x86_64 2:0.10-0.9.kvm20090310git.fc11                 
  qemu-system-sh4.x86_64 2:0.10-0.9.kvm20090310git.fc11                 qemu-system-sparc.x86_64 2:0.10-0.9.kvm20090310git.fc11               
  qemu-system-x86.x86_64 2:0.10-0.9.kvm20090310git.fc11                 qemu-user.x86_64 2:0.10-0.9.kvm20090310git.fc11                       
  svgalib.x86_64 0:1.9.25-6.fc11                                       

Complete!
Comment 5 Dominick Grift 2009-03-16 09:01:07 EDT
Indeed,  that works, thanks. Closing this...

Note You need to log in before you can comment on or make changes to this bug.